blk_queue_update_dma_alignment
Prev | Chapter 17. Block Devices | Next

## Name

blk_queue_update_dma_alignment — update dma length and memory alignment

## Synopsis

`void blk_queue_update_dma_alignment (` | struct request_queue * | q,
| int | mask`)`;

## Arguments

`q`

  the request queue for the device

`mask`

  alignment mask

## description

update required memory and length aligment for direct dma transactions. If the requested alignment is larger than the current alignment, then the current queue alignment is updated to the new value, otherwise it is left alone. The design of this is to allow multiple objects (driver, device, transport etc) to set their respective alignments without having them interfere.

Prev | Up | Next
blk_queue_dma_alignment | Home | blk_end_sync_rq